# -*- coding: UTF-8 -*-

#
#= 結婚運・金運・健康運・性格に関する占い結果のメッセージを内包するクラス
#== このクラスを差し替えることで、占い結果（メッセージ）を違うものに変えられる
#
#Authors::   Yoshihiko Hara(GoroNeko)
#Date::      2010/08/25
#Version::   0.9.0
#Copyright:: Copyright (C) Yoshihiko Hara(GoroNeko), 2010. All rights reserved.
#License::   GNU GENERAL PUBLIC LICENSE Version 2
#

class FortuneTellingMessage

  # 変通星ごとの結婚運 ( Marriage fate ) に関するメッセージテーブル
  # 変通星番号 → 0(比肩) ～ 9(劫財)
  MARRIAGE_FATE_MESSAGE \
    = Array.new(["熱しやすく冷めやすいタイプですので、結婚は遅いでしょう。\n" \
               + "もっとも、アツくなった勢いだけで、電撃的に結婚してしまう\n" \
               + "タイプの典型でもありますので早婚にはしる場合もあります。\n" \
               + "好きになった人に相手がいる事が多いです\n",
                 "常識外れなことが出来るタイプではないので、情熱的な恋とは\n" \
               + "無縁のようです。しかし、将来の人生設計を常に頭に描いた堅\n" \
               + "実な（時に打算的な）恋愛をしますので、大きな失敗をするこ\n" \
               + "ともないでしょう。高望みして一生を独りで通す事もあります\n",
                 "反逆精神が強く、周囲に反対されたりすると、反動的に「駆け\n" \
               + "落ち」「同棲」にはしったりする気があります。相方に対して\n" \
               + "感情の起伏が激しく、暴力を振るったかと思うとネコかわいが\n" \
               + "りしだすような行動をとりがちです。\n",
                 "まっとうな毎日を送っていれば、誰からも好かれ、良い異性と\n" \
               + "も自然に出会える星まわりです。　　　　　　　　　　　　　\n" \
               + "やさしく尽くしてくれる相手を見つけることが、結婚後のしあ\n" \
               + "わせを呼ぶ秘訣です。\n",
                 "もともと人付き合いを苦にしない性格のはづのあなたですから\n" \
               + "人からもよく好かれ、お付き合いする人に困ることは無いでし\n" \
               + "ょう。問題があるとすれば結婚後で、相手の家族とうまくやっ\n" \
               + "ていきたいのなら、つねに出過ぎたまねをしないように気を配\n" \
               + "ることです。\n",
                 "おとなしく、ロマンチストなタイプが多い星のもとに生まれて\n" \
               + "います。あまり激しい恋をすることは無いでしょう。　　　　\n" \
               + "静かに、ゆっくりと愛情を育んで吉の運勢です。\n",
                 "育ちのよさ・家名・プライド等を重んじ、確実な相手探しを目\n" \
               + "論む性格がみえます。恋愛結婚より御見合いをしてパートナを\n" \
               + "探すタイプの多い星の元にうまれています。ただ、同情と愛情\n" \
               + "をゴッチャにしたために失敗するタイプも多い星まわりでもあ\n" \
               + "ります\n",
                 "恋人にたいする思いやりの足りなさから、破局を迎えたおぼえ\n" \
               + "が何度かありませんか？熱しやすく冷めやすい、且つ一人をず\n" \
               + "っと愛し続ける甲斐性を鼻で笑いがちな性格が恋人から先へ進\n" \
               + "む事を疎外しています。思い当たるようでしたら御注意を。\n",
                 "恋人になるまでは熱心なのですが、いったんその座を射止める\n" \
               + "と、急速に熱意が失われる性格ではありませんか？同時に何人\n" \
               + "とでも付き合える神経も、気質的に見え隠れしています。\n",
                 "貴方が女性ならば、ヒモにひっかかって苦労しかねない運勢で\n" \
               + "す。好色性が強く、ともすれば一夫一妻をまもりきれないタイ\n" \
               + "プが多い星まわりであります。良縁を得ようと思うのならば身\n" \
               + "を慎み、周囲の人々の忠告を素直に聞くことです。\n"])

  # 変通星ごとの金運 ( Economic fortune ) に関するメッセージテーブル
  # 変通星番号 → 0(比肩) ～ 9(劫財)
  ECONOMIC_FORTUNE_MESSAGE \
    = Array.new(["財運を考えた時、安定・孤独・不協和音をあらわす星が見え隠\n" \
               + "れする星のもとに生まれています。持ち前の思考力と緻密さを\n" \
               + "武器に、計画的に財産を増やすよう心掛けて吉です。株の研究\n" \
               + "をしてみるのも良いでしょう。\n",
                 "一生御金には困らない強運の持ち主です。資産家の跡継ぎとし\n" \
               + "て生まれるか、自力で社会的地位を築ける運を持って生まれて\n" \
               + "きています。しかし社会的体面を保とうとして、余分な出費を\n" \
               + "重ねがちなタイプでもあります。\n",
                 "破産に向かって走る星を抱えています。無計画な散財を行うの\n" \
               + "ならば、祖先からの財産も何もすべてを失う事でしょう。破産\n" \
               + "後改心するか、始めから無意味な散財を戒めて生きていくのな\n" \
               + "ら晩年には財産を築ける運も持ち合わせています。御一考を。\n",
                 "　親が資産家の場合は、それを譲り受けて大金持ちになれるで\n" \
               + "しょう。そうでないとしても、こつこつと貯蓄に励む事によっ\n" \
               + "て、晩年に大きく財を成せる運を持ち合わせています。貯蓄に\n" \
               + "励んで吉です。\n",
                 "収入も多いはずですが、その分気前がよく人のために使ってし\n" \
               + "まい、支出が増えてしまうタイプの多い星まわりのもとに生ま\n" \
               + "れています。衣食住に困ることは無いでしょうが、計画的な資\n" \
               + "産の運用を常に心掛けて吉です。\n",
                 "生まれながらに財産に恵まれる運勢の持ち主です。親からの財\n" \
               + "産相続、または財産家に養子にいくチャンスが期待できます。\n" \
               + "地味で締まり屋の気が強いので、ケチと言われがちです。思い\n" \
               + "当たったら御注意を。\n",
                 "しっかりとした金銭感覚の持ち主が多い星のもとに生まれてい\n" \
               + "ます。知恵と才能を武器にしての金儲けをはかれば財を成せる\n" \
               + "でしょう。ただし、金儲けのための金儲けに走ると、身につか\n" \
               + "ない運勢です。\n",
                 "このお金を貸したら自分が困るとわかっていながら、人に貸し\n" \
               + "てしまうようなところがありませんか？そのために若いうちは\n" \
               + "貯蓄できませんが、中年以降、社会的地位を得て財を成せるチ\n" \
               + "ャンスを秘めた運の持ち主です。\n",
                 "頭のキレは鋭く、株で当てたりすることもあるでしょう。しか\n" \
               + "し金運・財運は全体的に不安定で運はあまりよくありません。\n" \
               + "一時的に小金はたまっても、大損を繰り返しがちな運の持ち主\n" \
               + "です。\n",
                 "一歩一歩着実に、知識獲得を心掛けることによって成功を勝ち\n" \
               + "得る運の持ち主です。投資を中心とした事業展開をはかって吉\n" \
               + "です。　　　　　　　　　　　　　　　　　　　　　　　　　\n" \
               + "不動産・損保関係の仕事が財産を生む可能性が高いです。\n"])

  # 変通星ごとの健康運 ( Healthy fate ) に関するメッセージテーブル
  # 変通星番号 → 0(比肩) ～ 9(劫財)
  HEALTHY_FATE_MESSAGE \
    = Array.new(["以下の病気に気をつけるべきです。御注意を。　　　　　　　\n" \
               + "　・ノイローゼ／対人恐怖症／胃腸障害　                　\n" \
               + "思い当たる節がある場合は、神経を図太く持つよう心掛けるこ\n" \
               + "とです。神経質だと自覚できたら御用心を。\n",
                 "幼年時に足又は胃腸をわずらっていた場合中年以降以下の病気\n" \
               + "に気をつけるべきです。御注意を。　　　　　　　　　　　　\n" \
               + "　・脳軟化症／頭痛／脳卒中　                　　　　　　\n" \
               + "ストレスをうまく解消出来るか否かに、健康を保てるかどうか\n" \
               + "がかかっています。\n",
                 "以下の病気に気をつけるべきです。御注意を。　　　　　　　\n" \
               + "　・消化器系疾患　　　　                  　　　　　　　\n" \
               + "基本的には長生運の持ち主ですが、他人によって傷をつけられ\n" \
               + "る星を持っていますので御注意を。\n",
                 "以下の病気に気をつけるべきです。　　　　　　　　　　　　\n" \
               + "　・アルコール中毒／薬物中毒　　　　　　　　　　　　　　\n" \
               + "基本的に病気をしない星のもとに生まれていますが、現実逃避\n" \
               + "に走りやすい性格になりやすい気質を秘めていますので、危険\n" \
               + "な物に依存しないように御注意を。\n",
                 "以下の病気に気をつけるべきです。御注意を。　　　　　　　\n" \
               + "　・呼吸器系疾患　　　　　　　　　　　　　　　　　　　　\n" \
               + "　・過労　　　　　　　　　　　　　　　　　　　　　　　　\n" \
               + "世話好きも結構ですが、疲れたら休むことを心掛けましょう。\n",
                 "以下の病気に気をつけるべきです。御注意を。　　　　　　　\n" \
               + "　・肥満／（肥満からくる）成人病　　　　　　　　　　　　\n" \
               + "食べ過ぎ呑み過ぎからただでさえ緊張しやすく、神経が張り詰\n" \
               + "めがちです。体も疲弊しやすい気の持ち主です。\n",
                 "以下の病気に気をつけるべきです。御注意を。　　　　　　　\n" \
               + "　・呼吸器系疾患　　　　　　　　　　　　　　　　　　　　\n" \
               + "基本的に「丈夫で長持ち」の星のもとに生まれています。自虐\n" \
               + "の道に走りでもしないかぎり長生きできる運勢です。\n",
                 "生まれつき、心身共に丈夫に生まれついているはずです。　　\n" \
               + "しかし不規則な生活に走ると病を得、長引く気の持ち主です。\n" \
               + "不用意な行動からの事故や、喧嘩による怪我にも気をつけまし\n" \
               + "ょう。\n",
                 "以下の病気に気をつけるべきです。御注意を。　　　　　　　\n" \
               + "　・胃腸病　　　　　　　　　　　　　　　　　　　　　　　\n" \
               + "　・ノイローゼ　　　　　　　　　　　　　　　　　　　　　\n" \
               + "生活が乱れやすい性格を秘めていますので不調を感じたら生活\n" \
               + "態度を改めてみましょう。\n",
                 "以下の病気に気をつけるべきです。　　　　　　　　　　　　\n" \
               + "　・胃腸障害　　　　　　　　　　　　　　　　　　　　　　\n" \
               + "　・ノイローゼ　　　　　　　　　　　　　　　　　　　　　\n" \
               + "欲求不満から登校／出社拒否・非行等に走りがちな精神に生ま\n" \
               + "れついています。精神的なゆとりを持つことを心掛けてくださ\n" \
               + "い。\n"])

  # 変通星ごとの性格 ( Character ) に関するメッセージテーブル
  # 変通星番号 → 0(比肩) ～ 9(劫財)
  CHARACTER_MESSAGE \
    = Array.new(["自我が強く、権威的な気性ではありませんか？自説にこだわり\n" \
               + "他人の話に耳を傾けないため争いが絶えないタイプとおみうけ\n" \
               + "します。反面、内心では気が小さく、短気で臆病な性格が隠れ\n" \
               + "ています。\n",
                 "生まれながらに品位を感じさせ、聡明さを持ちあわせる星のも\n" \
               + "とに生まれています。向上心も持ち合わせているようですので\n" \
               + "精進なされば信用も名声も得ることができるでしょう。　　　\n" \
               + "ただし品位が高慢に裏返らないよう御用心。\n",
                 "気位が高く、生意気と見られがちではありませんか？独善的な\n" \
               + "正義感の押しつけや、我を通そうとする態度が、孤立／孤独を\n" \
               + "呼びがちな気質です。論理や計算に豊かな才能を持ちながら、\n" \
               + "口と態度で損しがちな星の元に生まれています。\n",
                 "誠実で努力家とおみうけします。誠実さを売り物とするかぎり\n" \
               + "先輩や目上の方々からの引き立てが期待できる運勢です。働く\n" \
               + "ことが好きで頑張り屋のはずなのですが、反面「あきっぽい」\n" \
               + "性格を隠し持ってもいるようです。\n",
                 "おせっかいが過ぎるくらい、人の面倒を見るのが好きなたちで\n" \
               + "はありませんか？度が越さないかぎり、誰からもすかれて生き\n" \
               + "て行ける星のもとに生まれています。庶民的で、飾り気がなく\n" \
               + "働き者の気質の持ち主です。\n",
                 "「わがままで寂しがり屋」が本心な貴方ではありませんか？　\n" \
               + "表面的な交際は良いとして、本当の友達が出来にくい気質なの\n" \
               + "で注意が必要です。ただ、性格が「負けず嫌いで楽天家」の気\n" \
               + "が強いのでネクラになることもないでしょう。\n",
                 "研究熱心で聡明な方とお見受けします。多方面に活躍できる力\n" \
               + "を持ち合わせていますが、直接お金の絡む仕事は不得手のよう\n" \
               + "です。自信家でありながら内心「心配性」が、うまれながらの\n" \
               + "気質のようです。\n",
                 "せっかちで革命的、権力志向も強そうな方ですね。自我も人一\n" \
               + "倍つよそうです。親分肌でもありますね。頭が良く、才能も有\n" \
               + "りながら、人と妥協をすることを苦手とするために、リーダー\n" \
               + "になれないタイプの典型さん。それが貴方です。\n",
                 "美や芸術に対する、素晴らしい感性を持ち合わせています。　\n" \
               + "すばらしい才能をもちながら、生来の性格である飽きっぽさ・\n" \
               + "束縛されることに対する病的なまでの嫌悪感から、目標を達成\n" \
               + "できないタイプの典型の星の元に生まれています。\n",
                 "元来偏屈で傲慢、他人を馬鹿にしやすく、そのくせ目上には媚\n" \
               + "びへつらう、嫌な性格に染まりやすい気質です。しかしマイナ\n" \
               + "ス気質を押さえ、独立して仕事をする道を選ぶならば、成功を\n" \
               + "つかめるタイプの星まわりでもあります。\n"])
end
